import { select, csv } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const figure = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`
  );

figure
  .append('circle')
  .attr('cx', -150)
  .attr('cy', 0)
	.attr('class', 'circleClass')
  .attr('fill', 'green')
  .attr('r', 50);

figure
  .append('circle')
  .attr('fill', 'blue')
  .attr('r', 50);

const circle3 = figure
  .append('circle')
  .attr('fill', 'red')
  .attr('cx', 150)
  .attr('r', 50)
  .on('mouseover', function () {
  	circle3.attr('fill', 'black');
  })
  .on('mouseout', function(){
  	d3.select(this).attr('fill', 'red')
  })
;

function moveCircles(circle3) {
  circle3
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${-100})` 
    )
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${0})`
    );  
}

svg.append('rect')
.attr('cx', 0)
.attr('height', 100)
.attr('width', 200)
.on('click', function() {
	moveCircles(circle3)
});
